package com.ynet.life.sujrb.file.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.web.multipart.implement.GENEMultipartFile;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import com.ynet.life.sujrb.file.parser.BatchPayParserFactory;

/* loaded from: com_ynet_life_sujrb_file_action.jar:com/ynet/life/sujrb/file/action/BatchFileParseAction.class */
public class BatchFileParseAction extends LifeAction {
    private String uploadFile;
    private String iCollName;
    private String batchType;

    public String execute(Context context) throws TranFailException {
        try {
            String filePathName = ((GENEMultipartFile) context.get(this.uploadFile)).getTempFileName();
            BatchPayParserFactory.createParser(LifeFile.getFileType(filePathName), context).parseFromFile(filePathName).fillIntoContext(context, this.iCollName);
            return "0";
        } catch (TranFailException e) {
            Trace.logError("LifeAction", "解析代发文件异常", e);
            throw new TranFailException(e.getErrorCode(), LifeStandard.getErrorInfo(e.getErrorCode(), (String) context.get(TEntity.language)).getShowMsg());
        }
    }

    public void setUploadFile(String uploadFile) {
        this.uploadFile = uploadFile;
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public void setBatchType(String batchType) {
        this.batchType = batchType;
    }
}
